"""
setup packaging script for MozillaHg
"""

import os

version = "0.0"
dependencies = ['MakeItSo', 'webob']

# allow use of setuptools/distribute or distutils
kw = {}
try:
    from setuptools import setup
    kw['entry_points'] = """
      [console_scripts]
      MozillaHg = MozillaHg.main:main
      MozillaHg-template = MozillaHg.template:main
"""
    kw['install_requires'] = dependencies
except ImportError:
    from distutils.core import setup
    kw['requires'] = dependencies

try:
    here = os.path.dirname(os.path.abspath(__file__))
    description = file(os.path.join(here, 'README.txt')).read()
except IOError:
    description = ''


setup(name='MozillaHg',
      version=version,
      description="mozilla interface to mercurial",
      long_description=description,
      classifiers=[], # Get strings from http://www.python.org/pypi?%3Aaction=list_classifiers
      author='Jeff Hammel',
      author_email='jhammel@mozilla.com',
      url='http://k0s.org/mozilla/hg/MozillaHg',
      license='',
      packages=['mozillahg'],
      include_package_data=True,
      zip_safe=False,
      **kw
      )

